Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui
Interface ITypeHierarchyViewPart

All Superinterfaces:
  IAdaptable, IViewPart, IWorkbenchPart

public interface ITypeHierarchyViewPart
extends IViewPart

The standard type hierarchy view presents a type hierarchy for a given input class or interface. Visually, this view consists of a pair of viewers, one showing the type hierarchy, the other showing the members of the type selected in the first.

This interface is not intended to be implemented by clients.

See Also:
  `JavaUI.ID_TYPE_HIERARCHY`

Field Summary

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Method Summary
`IType` | `getInput()` Deprecated. use getInputElement instead
`IJavaElement` | `getInputElement()` Returns the input element of this type hierarchy view.
`void` | `setInput(IType type)` Deprecated. use setInputElement instead
`void` | `setInputElement(IJavaElement element)` Sets the input element of this type hierarchy view.

Methods inherited from interface org.eclipse.ui.IViewPart
`getViewSite, init, init, saveState`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### setInput

    public void setInput(IType type)

  Deprecated. use setInputElement instead

  Sets the input element of this type hierarchy view to a type.

  Parameters:
    `type` - the input element of this type hierarchy view, or `null` to clear any input element

### setInputElement

    public void setInputElement(IJavaElement element)

  Sets the input element of this type hierarchy view. The following input types are possible `IMember` (types, methods, fields..), `IPackageFragment`, `IPackageFragmentRoot` and `IJavaProject`.

  Parameters:
    `element` - the input element of this type hierarchy view, or `null` to clear any input
  Since:
    2.0

### getInput

    public IType getInput()

  Deprecated. use getInputElement instead

  Returns the input element of this type hierarchy view.

  Returns:
    the input element, or `null` if no input element is set
  See Also:
    `setInput(IType)`

### getInputElement

    public IJavaElement getInputElement()

  Returns the input element of this type hierarchy view.

  Returns:
    the input element, or `null` if no input element is set
  Since:
    2.0
  See Also:
    `setInputElement(IJavaElement)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.